Bug 26324 - "Setting Font and Color for the Help Viewer" too general
"Setting Font and Color for the Help Viewer" too general
Status: RESOLVED FIXED
Product: usersguide
Classification: Unclassified
Component: Code
3.x
PC Windows ME/2000
: P4 with 1 vote (vote)
: 3.x
Assigned To: Gail Chappell
issues@usersguide
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-06 21:28 UTC by rrochat
Modified: 2004-03-03 23:18 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rrochat 2002-08-06 21:28:29 UTC
With Windows Look and Feel, NetBeans 3.4RC1 
(JavaHelp 1.1.2), and JDK 1.4.0_01, the highlight 
background color is dark blue which is unreadable 
with black text.  The help topic
"Setting Font and Color for the Help Viewer" 
says to edit 
install-directory/docs/org/netbeans/modules/users
guide/ide.css, but there's nothing there that 
will help because this is a Swing issue:  
UIManager.put("EditorPane.selectionBackground", 
new Color(150,150,200)); 
is a workaround.
See thread at 
<http://www.netbeans.org/servlets/ReadMsg?msgId=3
61437&listName=nbusers>
Comment 1 Patrick Keegan 2002-08-07 14:41:18 UTC
Gail, I'll put a note in the README for 3.4, but the fact the user can 
not actually use the css to change the background highlighting should 
probably be addressed explicitly for 4.0. AFAIK, the unreadability is 
only an issue on JDK 1.4 with the Windows look and feel.
Comment 2 Gail Chappell 2003-02-24 20:29:56 UTC
I put a note in the help topic that you cannot set the
highlight color using the style sheet.

Patrick, since the highlight color for the help viewer cannot
currently be easily changed, should we reassign this bug and ask
for a fix in the code?  This should be fixed for accessibility.
Comment 3 Patrick Keegan 2003-02-24 21:40:42 UTC
There already is a JDK bug number assigned 4761990. It looks like it won't be fixed for JDK 1.4.2, but it 
will be done after that.
Comment 4 Gail Chappell 2003-02-24 22:29:44 UTC
I'm going to marked this bug as fixed as a note has been added
to the help topic and the bug number 4761990 is assigned to
fixing the highlighting problem in the source code.
Comment 5 Patrick Keegan 2003-02-25 00:08:05 UTC
for some reason, the bug isn't publicly visible through Bug Parade. Here are some relevant excerpts from 
bug 4761990

A DESCRIPTION OF THE PROBLEM :
In javahelp the search highlight was previously a light
grey color.  Now the search highlight appears as a dark
blue - in checking this on Windows this highlight co-
incides with the color defined in the windows area
of 'Appearance/Scheme/selected item property.'  This is
fine in windows where the underlying font changes property
to display as white when a dark color is displayed, but in
this case the underlying font does *not* change color when
a dark color is used in this selection.  Whatever swing
previously used in this area, please return to it.

Much thanks.


EXPECTED VERSUS ACTUAL BEHAVIOR :
Previously the highlight was a light gray (using the
default windows color scheme) now the highlight is a dark
blue (using the same color scheme.)  After looking at the
color scheme the color of the highlight can be changed by
changing the color of the 'selected item property'.

CUSTOMER WORKAROUND :
Change the selected item property on the windows system.
However, doing this also changes default windows uses.


Accepted: yes
        Evaluated: yes
Evaluation Top 

Refer to the comments section, based on the feedback this sounds like an 
RFE for the ability for highlights to effect text color, or to have highlights
automatically change the text color to be selectedTextColor.
 2002-10-29

Comment 6 dmartin01 2003-06-13 16:02:08 UTC
Not sure if its important, but this also affects every 
JGoodies L&F.  Perhaps unimportant, but since JGoodies was 
released under a BSD license this week, I suspect it's 
going to become more commonly used.
Comment 7 Patrick Keegan 2003-06-13 16:40:54 UTC
I added a comment about the JGoodies issue to the Bug Parade issue.
Comment 8 Patrick Keegan 2004-03-03 23:18:09 UTC
removing RELNOTE keyword; BTW, the background color issue has now been
fixed in NB independent of the supposed JDK fix


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo